#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is Crocodile Clips Ltd code.
#
# The Initial Developer of the Original Code is
# Crocodile Clips Ltd.
# Portions created by the Initial Developer are Copyright (C) 2001
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#   Alex Fritze <alex.fritze@crocodile-clips.com>
#
# Alternatively, the contents of this file may be used under the terms of
# either of the GNU General Public License Version 2 or later (the "GPL"),
# or the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

DEPTH		= ../../../..
topsrcdir	= @top_srcdir@
srcdir		= @srcdir@
VPATH		= @srcdir@

include $(DEPTH)/config/autoconf.mk

MODULE		= content
LIBRARY_NAME	= gkcontentsvg_s
LIBXUL_LIBRARY	= 1
REQUIRES	= xpcom \
		  string \
		  layout \
		  content \
		  widget \
		  gfx \
		  dom \
		  js \
		  locale \
		  htmlparser \
		  view \
		  pref \
		  necko \
		  xpconnect \
		  webshell \
		  unicharutil \
		  imglib2 \
		  docshell \
		  thebes

CPPSRCS		= \
		nsDOMSVGZoomEvent.cpp \
		nsDOMSVGEvent.cpp \
		nsSVGAElement.cpp \
		nsSVGAngle.cpp \
		nsSVGAnimatedAngle.cpp \
		nsSVGAnimatedBoolean.cpp \
		nsSVGAnimatedInteger.cpp \
		nsSVGAnimatedLengthList.cpp \
		nsSVGAnimatedNumberList.cpp \
		nsSVGAnimatedRect.cpp \
		nsSVGAnimatedPreserveAspectRatio.cpp \
		nsSVGAnimatedString.cpp \
		nsSVGAnimatedTransformList.cpp \
		nsSVGCircleElement.cpp \
		nsSVGClassValue.cpp \
		nsSVGClipPathElement.cpp \
		nsSVGDataParser.cpp \
		nsSVGDefsElement.cpp \
		nsSVGDescElement.cpp \
		nsSVGElement.cpp \
		nsSVGElementFactory.cpp \
		nsSVGEllipseElement.cpp \
		nsSVGEnum.cpp \
		nsSVGFeatures.cpp \
		nsSVGFilterElement.cpp \
		nsSVGFilters.cpp \
		nsSVGGElement.cpp \
		nsSVGGradientElement.cpp \
		nsSVGGraphicElement.cpp \
		nsSVGImageElement.cpp \
		nsSVGLength.cpp \
		nsSVGLength2.cpp \
		nsSVGLengthList.cpp \
		nsSVGLineElement.cpp \
		nsSVGMarkerElement.cpp \
		nsSVGMaskElement.cpp \
		nsSVGMatrix.cpp \
		nsSVGMetadataElement.cpp \
		nsSVGNumber.cpp \
		nsSVGNumber2.cpp \
		nsSVGNumberList.cpp \
		nsSVGPathDataParser.cpp \
		nsSVGPathElement.cpp \
		nsSVGPathGeometryElement.cpp \
		nsSVGPathSeg.cpp \
		nsSVGPathSegList.cpp \
		nsSVGPatternElement.cpp \
		nsSVGPoint.cpp \
		nsSVGPointList.cpp \
		nsSVGPolyElement.cpp \
		nsSVGPolygonElement.cpp \
		nsSVGPolylineElement.cpp \
		nsSVGPreserveAspectRatio.cpp \
		nsSVGScriptElement.cpp \
		nsSVGStringProxyValue.cpp \
		nsSVGStylableElement.cpp \
		nsSVGRect.cpp \
		nsSVGRectElement.cpp \
		nsSVGSVGElement.cpp \
		nsSVGStopElement.cpp \
		nsSVGStyleElement.cpp \
		nsSVGSwitchElement.cpp \
		nsSVGSymbolElement.cpp \
		nsSVGTSpanElement.cpp \
		nsSVGTextElement.cpp \
		nsSVGTextPathElement.cpp \
		nsSVGTitleElement.cpp \
		nsSVGTransform.cpp \
		nsSVGTransformList.cpp \
		nsSVGTransformListParser.cpp \
		nsSVGUseElement.cpp \
		nsSVGValue.cpp \
		$(NULL)

ifdef MOZ_SVG_FOREIGNOBJECT
CPPSRCS += nsSVGForeignObjectElement.cpp
endif

include $(topsrcdir)/config/config.mk

# we don't want the shared lib, but we want to force the creation of a static lib.
FORCE_STATIC_LIB = 1

EXPORTS =  			\
	nsIDOMSVGListener.h \
	nsIDOMSVGZoomListener.h \
	nsISVGFilter.h             \
	nsISVGTextContentMetrics.h \
	nsISVGValue.h              \
	nsISVGValueObserver.h      \
	nsISVGValueUtils.h         \
	nsSVGNumber.h              \
	nsSVGRect.h                \
	nsSVGPoint.h               \
	nsSVGMatrix.h              \
	$(NULL)


include $(topsrcdir)/config/rules.mk

INCLUDES += 	\
		-I$(srcdir)/../../../shared/public \
		-I$(srcdir)/../../../html/base/src \
		-I$(srcdir)/../../../xml/content/src \
		-I$(srcdir)/../../../../dom \
		-I$(srcdir)/../../../base/src \
		-I$(srcdir)/../../../../layout/svg/base/src \
		-I$(srcdir)/../../../../layout/style \
		-I$(srcdir)/../../../events/src \
		-I$(srcdir)/../../../html/content/src \
		-I$(topsrcdir)/content/xbl/src \
		$(NULL)

DEFINES += -D_IMPL_NS_LAYOUT
